Bug 594694 - T61 dock/undock with ext display crashes system
T61 dock/undock with ext display crashes system
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-intel (Show other bugs)
6.0
All Linux
high Severity high
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
card_965GM
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 07:02 EDT by Chris Ward
Modified: 2010-06-30 08:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-30 08:47:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ward 2010-05-21 07:02:42 EDT
Description of problem:

I don't have an exact reproducer, unfortunately, since i can't figure out which of the steps causes which of the problems i'm seeing. Just keep repeating the steps i mention below... you'll hit it. At least on my T61 :)

Version-Release number of selected component (if applicable):
Latest everything as of http://download.englab.brq.redhat.com/pub/rhel/rel-eng/RHEL6.0-20100512.0/6.0/Server/x86_64/os/


Steps to Reproduce:
Example 1.
1. Boot laptop undocked and log-in
2. Sleep it
3. Wake it
4. unlock screen
5. Dock it
6. Flip external display left/right or whatever
7. Don't click Restore/leave setting how they are (leave it counting down)
8. Open display-properites application
9. Switch laptop screen to OFF and hit Apply
  
Actual results:
If you've made it this far with out crashing, once you hit apply, things might freeze up.

Or a variation,
...
5. Dock it
6. Flip external display left/right or whatever
7. Click! Restore settings

Actual results:
Freeze


If you aren't able to make it freeze/lock-up/all screens go blank with no way to revert then just keep repeating these steps. Dock, undock, sleep, wake, switch around options in display-properties. For me, i crash my system at least once a day it seems... moving around from docked/undocked laptop / ext display.


Expected results:
System should never crash when docking/undocking switching displays


Additional info:
lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)
00:19.0 Ethernet controller: Intel Corporation 82566MM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HBM (ICH8M-E) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
03:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)
15:00.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev ba)
15:00.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 04)
15:00.2 SD Host controller: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter (rev 21)
15:00.3 System peripheral: Ricoh Co Ltd R5C843 MMC Host Controller (rev ff)
15:00.4 System peripheral: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter (rev 11)
15:00.5 System peripheral: Ricoh Co Ltd xD-Picture Card Controller (rev 11)
Comment 1 RHEL Product and Program Management 2010-05-21 07:15:50 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Bastien Nocera 2010-05-21 09:20:02 EDT
If the system crashes, then there's nothing that the control-center can do.

Reassigning to the intel driver, possible a kernel issue.
Comment 3 Matěj Cepl 2010-05-24 18:50:18 EDT
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* output of the dmesg command,
* system log (/var/log/messages), and
* X server log file (/var/log/Xorg.*.log)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 5 Dave Airlie 2010-06-28 22:24:57 EDT
Is this still happening with latest EL6 kernel and xorg-x11-drv-intel?
Comment 6 Chris Ward 2010-06-30 08:47:16 EDT
I haven't been able to reproduce this again with xorg-x11-drv-intel-2.11.0-6.el6.x86_64

I'll close for now, if it reappears i'll re-open. THANKS!!!!

Note You need to log in before you can comment on or make changes to this bug.